summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-sh-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-sh-2')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-sh-214
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-sh-2 b/gettext-tools/tests/xgettext-sh-2
index 1965d7e..daf1c02 100755..100644
--- a/gettext-tools/tests/xgettext-sh-2
+++ b/gettext-tools/tests/xgettext-sh-2
@@ -3,10 +3,6 @@
# Test Shell support: --add-comments option.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-sh-2.sh"
cat <<EOF > xg-sh-2.sh
# This comment will not be extracted.
gettext "help"
@@ -19,15 +15,11 @@ gettext "Hey Jude"
gettext "The Fabulous Four"
EOF
-tmpfiles="$tmpfiles xg-sh-2.tmp.po xg-sh-2.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
- -d xg-sh-2.tmp xg-sh-2.sh
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-sh-2.tmp.po > xg-sh-2.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ -d xg-sh-2.tmp xg-sh-2.sh || exit 1
+LC_ALL=C tr -d '\r' < xg-sh-2.tmp.po > xg-sh-2.po || exit 1
-tmpfiles="$tmpfiles xg-sh-2.ok"
cat <<EOF > xg-sh-2.ok
msgid "help"
msgstr ""
@@ -49,6 +41,4 @@ EOF
${DIFF} xg-sh-2.ok xg-sh-2.po
result=$?
-rm -fr $tmpfiles
-
exit $result